Seguimos expuestos a una vulnerabilidad de Firefox que tiene 11 años y no se ha corregido

Además de la funcionalidad, la fluidez y el diseño, otro de los puntos clave de los navegadores web, por no decir el más importante, es la seguridad, aspecto que los desarrolladores de estos programas tienen muy en cuenta en las actualizaciones que van lanzado.

Sin embargo se acaba de dar a conocer que algunos portales web maliciosos, se siguen aprovechando de una vulnerabilidad en uno de estos programas más usados de este tipo como es Firefox. Este hecho no tendría mayor trascendencia en los tiempos que corren, ya que Internet está llena de este tipo de sitios maliciosos que intentan engañarnos con nuevas estrategias o a través de novedosos códigos maliciosos. Pero el problema del que os hablamos aquí, en realidad se trata de un error de Firefox que los ingenieros de Mozilla parecen no haber corregido desde hace 11 años desde que se informó por primera vez, en concreto en abril de 2007.

Pues bien, este es un fallo que se reduce a que un sitio web malicioso incrusta un iframe dentro de su código fuente que realiza una petición de autenticación HTTP en otro dominio, lo que hace que el mencionado iframe muestre un formulario de autenticación en el sitio malicioso pidiendo unas credenciales.

Esto es algo que durante los últimos años diversos atacantes y estafadores han estado usando para atraer a los usuarios a sitios web propios maliciosos con estafas de soporte técnico, anuncios publicitarios que recargan la página con otros anuncios en bucle, páginas que «obligan» a los usuarios a comprar tarjetas de regalo falsas, o portales que ofrecen actualizaciones de software con programas maliciosos.

Vulnerabilidad Firefox

Así, cada vez que los usuarios intentan salir de aquí, los propietarios de estas webs activan la autentificación en bucle, por lo que cada vez que lo rechazamos, se realiza una nueva petición y aparece un nuevo formulario, manteniendo al usuario «cautivo» en estos sitios hasta que cierran el navegador por completo, incluyendo el resto de pestañas abiertas.

Firefox tiene un fallo de seguridad con 11 años de antigüedad

A pesar de haber sido reportado hasta siete veces, este es un problema que no ha sido corregido por la propia compañía, y se desconocen las razones de ello, por lo que los ciberatacantes se siguen aprovechando de la vulnerabilidad.

De hecho y por lo que se ha podido saber, ahora se están dando nuevos casos de usuarios que se siguen viendo afectados por lo descrito anteriormente. Hay que tener en cuenta que este es un proyecto de código abierto, por lo que suponemos que Mozilla no dispone de recursos ilimitados para corregir todos los problemas reportados, pero uno pensaría que después de más de 11 años esto ya debería haber sido resuelto para que no pueda volver a ser explotado.

Es más, este mismo fallo de seguridad, desde hace tiempo ya fue corregido en otras propuestas como Edge y Chrome, por lo que de los grandes navegadores, solo queda Firefox.